Build dashboards
Update board settings
PATCH
/api/boards/{id}/settingsUpdate the supplied appearance, metadata, background, custom CSS, or status settings. Omitted settings remain unchanged. Requires modify access to the board.
Authorization
apikey ApiKey<token>
API key which can be obtained in the Homarr administration dashboard
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/boards/string/settings" \ -H "Content-Type: application/json" \ -d '{}'null